
/*===========================================================================
Project name:		 Unveiling Multidimensional Poverty: Insights from the EU
Year:						2023/24
Datasets:				EU-SILC and Bulgarian National SILC
---------------------------------------------------------------------------
Authors:				Monica Robayo-Abril/Lucia Echeverria
Dependencies:		Poverty and Equity Global Practice , World Bank
Creation Date:		July, 2024
=============================================================================*/


/*==================================================
1. Set Paths
==================================================*/

* global: Reproducibility folder (please, replace  " ... "  with your directory)
clear all
global path "C:/Users/wb558768/Downloads/197/Reproducibility package"

sysdir set PLUS "$path/02.Dos/ado/"

* Raw data: EU-SILC cross-sectional, EU-SILC longuitudinal and Bulgarian National SILC
global rawcross "$path\01.Data\Raw\Cross-sectional EU-SILC"
global rawlong "$path\01.Data\Raw\Longitudinal EU-SILC"
global rawbulg "$path\01.Data\Raw\Bulgaria SILC"
* Created data
global createddata "$path\01.Data\Created"
* Do-files
global dofiles "$path\02.Dos"
* Results: tables and figures
global figures "$path\03.Results\Figures"
global tables "$path\03.Results\Tables"


/*==================================================
	2: Check if ado files are installed
==================================================*/
* All ado files are stored in the ado folder so this is not needed it is here
* for documentation purposes.
*ssc install outreg2


/*==================================================
3. Run Do files 
==================================================*/

do "$dofiles\1.TransformingData.do" 
do "$dofiles\2.AnchoredAROPE-EU27.do"
do "$dofiles\3.AROPE-BG-HR-PL-RO.do"
do "$dofiles\4.AROPE+-BG-HR-PL-RO.do"

* These files use confidential data which is not included in the package.
do "$dofiles\5.Bulgaria-Roma-AROPE.do"
do "$dofiles\6.Bulgaria-Roma-Chronic.do"


