

* Materially deprived + 											//material deprivation incorporating "crowding"
*--------------------------------------------------------
// exclude hhs with missing values
inspect crowding

gen cases_excl = 1
replace cases_excl =0 if hs011_f !=-1 & ///
hs021_f !=-1 & hs031_f != -1 &  ///
hs040_f != -1 & hs050_f != -1 & hs060_f != -1 & ///
hs110_f != -1 & hh050_f != -1 & pd080_f != -1 & ///
hd080_f != -1 & pd020_f != -1 & pd030_f != -1 & ///
pd070_f != -1 & pd060_f != -1 & pd050_f != -1 

// compute deprivations
gen arrears_morgrent = hs011<=2 if hs011!=.
gen arrears_util = hs021<=2 if hs021!=.
gen arrears_hirepurch = hs031<=2 if hs031!=.
gen housing = 1 if (arrears_morgrent==1 | arrears_util==1 | arrears_hirepurch==1) 
replace housing = 0 if (hs011_f == -2) & (hs021_f == -2) & (hs031_f == -2)
gen holiday  = hs040==2 if hs040!=.
gen protmeal = hs050==2 if hs050!=.
gen unexpfexp = hs060==2 if hs060!=.
gen car = (hs110!=1 & hs110!=3) if hs110!=.
gen warm = hh050==2 if hh050!=.
gen internet = (pd080!=1 & pd080!=3) if pd080!=.
gen furniture = (hd080!=1 & hd080!=3) if hd080!=.
gen clothes = (pd020!=1 & pd020!=3) if pd020!=.
gen shoes = (pd030!=1 & pd030!=3) if pd030!=.
gen small_money  = (pd070!=1 & pd070!=3) if pd070!=.
gen leisure = (pd060!=1 & pd060!=3) if pd060!=.
gen friends = (pd050!=1 & pd050!=3) if pd050!=.


// compute number of deprivations (out of 14)
egen n_deprivations = rowtotal(housing holiday protmeal unexpfexp car warm internet furniture clothes shoes small_money leisure friends crowding),missing
replace n_deprivations=. if cases_excl==1

// compute the MD indicator for adults
gen mat_deprived_plus=.
replace mat_deprived_plus= 1 if (n_deprivations >=7 & n_deprivations ~= .) & age>=16
replace mat_deprived_plus= 0 if (n_deprivations < 7) & age>=16

// compute the MD indicator for children
 
// number of household-level deprivations
egen child_n_deprivations_hh = rowtotal(unexpfexp housing holiday protmeal warm car furniture crowding) if age<16,missing
replace child_n_deprivations_hh=. if cases_excl==1 & age<16

// child is deprived in...
bys hhid_cy: egen n_internet_hh = total(internet) 
bys hhid_cy: egen n_adults_internet = count(internet) 		// number of adults for which the information is available (not missing)
gen child_internet = 1 if (n_internet_hh >= n_adults_internet*0.5) & n_adults_internet!=0 & age<16

bys hhid_cy: egen n_clothes_hh = total(clothes) 
bys hhid_cy: egen n_adults_clothes = count(clothes) 
gen child_clothes = 1 if (n_clothes_hh >= n_adults_clothes*0.5)  & n_adults_clothes!=0 & age<16

bys hhid_cy: egen n_shoes_hh = total(shoes) 
bys hhid_cy: egen n_adults_shoes = count(shoes) 
gen child_shoes = 1 if (n_shoes_hh >= n_adults_shoes*0.5)  & n_adults_shoes!=0 & age<16

bys hhid_cy: egen n_small_money_hh = total(small_money) 
bys hhid_cy: egen n_adults_small_moneys = count(small_money) 
gen child_small_money = 1 if (n_small_money_hh >= n_adults_small_moneys*0.5)  & n_adults_small_moneys!=0 & age<16

bys hhid_cy: egen n_leisure_hh = total(leisure) 
bys hhid_cy: egen n_adults_leisure = count(leisure) 
gen child_leisure = 1 if (n_leisure_hh >= n_adults_leisure*0.5)  & n_adults_leisure!=0 & age<16

bys hhid_cy: egen n_friends_hh = total(friends) 
bys hhid_cy: egen n_adults_friends = count(friends) 
gen child_friends = 1 if (n_friends_hh >= n_adults_friends*0.5)  & n_adults_friends!=0 & age<16

// number of deprivations (out of 14)
egen n_deprivations_child = rowtotal(crowding unexpfexp housing holiday protmeal warm car furniture child_internet child_clothes child_shoes child_small_money child_leisure child_friends),missing
replace n_deprivations_child=. if cases_excl==1

// MD for children
replace mat_deprived_plus = 0 if  age<16
replace mat_deprived_plus = 1 if (n_deprivations_child >=7 & child_n_deprivations_hh>=3) & age<16

// accout for missings
replace mat_deprived_plus=. if rx060==.
